# Phoenix / DevContainer starter project

## Initializing a new Phoenix Project

```
mix archive.install hex phx_new 1.8.0-rc.4 --force
mix phx.new . --app test_app --no-ecto --live 
```

Can use igniter to add live_debugger, etc.

```
mix archive.install hex igniter_new --force
mix igniter.install live_debugger
```

## Initializing a new Ash Project

```
mix archive.install hex igniter_new --force
mix archive.install hex phx_new 1.8.0-rc.4 --force

mix igniter.new pimento_cheese --with phx.new --install ash,ash_phoenix \
  --install ash_json_api,ash_postgres \
  --install ash_authentication,ash_authentication_phoenix \
  --install ash_admin,ash_oban --install oban_web,ash_archival \
  --install live_debugger,ash_paper_trail --install ash_ai,cloak \
  --install ash_cloak --auth-strategy magic_link --yes
```

* Merge `.gitignore` from new project directory into `/workspace`
* Move the rest of files from project directory to `/workspace`
* Update `config/dev.exs` database to `app`
* Update `config/dev.app` database to `test#{System.get_env("MIX_TEST_PARTITION")}"`